<template>
  <AppHeader />
  <router-view />
</template>

<script>
import { useI18n } from "vue-i18n";
import AppHeader from "./components/AppHeader.vue";

export default {
  name: "App",
  components: {
    AppHeader,
  },
  setup() {
    // 在根组件中建立 i18n 上下文，以供所有子路由继承
    useI18n();
  },
};
</script>
